=== unix/CMakeLists.txt ===
add_subdirectory(tx)
add_subdirectory(common)
add_subdirectory(vncconfig)
#add_subdirectory(vncpasswd)
add_subdirectory(vncserver)
#add_subdirectory(x0vncserver)
