=== common/rdr/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/common ${ZLIB_INCLUDE_DIRS})

add_library(rdr STATIC
  BufferedInStream.cxx
  Exception.cxx
  FdInStream.cxx
  FdOutStream.cxx
  HexInStream.cxx
  HexOutStream.cxx
  OutStream.cxx
  MultiInStream.cxx
  MultiOutStream.cxx
  RandomStream.cxx
  TLSException.cxx
  TLSInStream.cxx
  TLSOutStream.cxx
  ZlibInStream.cxx
  ZlibOutStream.cxx)

set(RDR_LIBRARIES ${ZLIB_LIBRARIES} os)
if(GNUTLS_FOUND)
  set(RDR_LIBRARIES ${RDR_LIBRARIES} ${GNUTLS_LIBRARIES})
endif()
if(WIN32)
	set(RDR_LIBRARIES ${RDR_LIBRARIES} ws2_32 dbghelp)
else()
	set(RDR_LIBRARIES ${RDR_LIBRARIES} pthread)
endif()

find_library(MPRIVACY_LIBRARY
  NAMES mprivacy libmprivacy)

target_link_libraries(rdr ${RDR_LIBRARIES} ${MPRIVACY_LIBRARY} "-lzstd")

if(UNIX)
  libtool_create_control_file(rdr)
endif()
