=== debian/changelog ===
tightgatevnc-clientonly (4.8.0~aatgv2) testing; urgency=low

  * git (rebase-20210322-4.8) 0f362ba5fbe9c5ea93695d0960c206c051db908f
    BUG 0007257: Cursor-Einstellung an VNC-Klienten konfigurierbar machen
    Add bool parameter AllowLocalCursor with default 1 to control the
      "supportsLocalCursor" value at the client side. Setting to 0 lets the
      server render all cursors.
  * git (rebase-20210322-4.8) 5be245fe1565bfcf92839a64a093e44b81aaa7b3
    Fix Windows builds with GCC 15.
  * git (rebase-20210322-4.8) 58dc8394ccaa0f8580075afeb53195bd0b906d74
    BUG 0007261: MagicURL - Möglichkeit ("Schalter") um trotz Whitelist-Pfad lokale Whitelisten zu erlauben
    Actually from magicurl-win (commit 31b1c91f62b3f64c3a81832a3a145b7dd598c20c).
    Also implementing here as at some point, magicurl will
    be integrated into the tightgateviewer.
    Read 'force_whitelist_path' option from browserchoice.cfg.
    force_whitelist_path only makes sense if whitelist_path is set.
    If so, setting force_whitelist_path to 0 would allow to read
    the other "standard" URL whitelist files. If set to 1 (default)
    it will only read the whitelist found in whiteliste_path. If it
    doesn't find it, it exits and shows an error.
  * git (rebase-20210322-4.8) 42526481d787d6a1317b454cd7d6f577e852115d
    BUG 0007261: MagicURL - Möglichkeit ("Schalter") um trotz Whitelist-Pfad lokale Whitelisten zu erlauben
    UrlWhitelistHandler: Set force_whitelist_path's default to 0/false.
  * git (rebase-20210322-4.8) fd6f0f6c69ce17cedbf8619955d1a4863942f44c
    SSecurityKrb: Remove test (not even alpha) code that slipped in a commit.
  * git (rebase-20210322-4.8) d649ad7cc5b0f7f4542016a6dab05c769970f7d5
    BUG 0007222: Autoschleuse (VNC) protokolliert nicht "Anonym"
    SAutotransferMime: Add resolve_username_for_logs and
    replace_username_dir(filename, new_username) and call them before
    creating log line.
  * git (rebase-20210322-4.8) 5066f40585827470d82ac7b725e88c04170fe923
    SAutotransferMime: Surroung complete file with
     #if !defined(WIN32) && !defined(WIN64) && !defined(__APPLE__).
    We really just need it for the server - only Linux.
  * git (rebase-20210322-4.8) 09c1ad540c691d75d6a34648128d704474839eae
    SAutotransferMime: Move resolve_username_for_logs and
    replace_username_dir_for_logs to libmprivacy and use it from there.
    Note: I hope to be able to move the whole logging function there
    so that sfpt-server and SAutotransferMime can share it.
  * git (rebase-20210322-4.8) 8f36b393a13e463bbd75b6b73422ccde4be755e1
    Simplify LDAP logic: Don't force ldap base to 'auto' and just run
    generate_ldap_base when necessary. Also better error handling for
    generate_ldap_base call.
  * git (rebase-20210322-4.8) d7dd66831bc8893e7f3c9066f7b07b9382437ea3
    Simplify LDAP logic: Remove ldap_server_1 and ldap_server_2
    (since they were always forced to "auto" and "").
  * git (rebase-20210322-4.8) c4d9cf69428bd04277547130f75c78adfe04dad9
    Simplify LDAP logic: Remove ldap_auto code (since it was always
    being forced to "realm").
  * git (rebase-20210322-4.8) 0caaf37a5d22278f506b2def333409ee20fe04cf
    Simplify LDAP logic: Call perform_ldap_searches with NULL where
    no value is actually used.
  * git (rebase-20210322-4.8) 29c47e25779ffd02f87d6cfd06c14a1b13db5f72
    Define macros likely(x) and unlikely(x) for GCC and annotate MP en/decoder.
  * git (rebase-20210322-4.8) 1f060ba696c4b9451df2d1155d8bec1fc0a41025
    MP.h: Remove bogus (x) after #ifndef.

 -- Amon Ott <ao@m-privacy.de>  Wed, 10 Sep 2025 11:00:00 +0200

tightgatevnc-clientonly (4.8.0~aatgv1) testing; urgency=low

  * Switch to branch rebase-20210322-4.8 at
    git 4ec22ea307d75d4e37f0311f221b29ffa4691150
    BUG 0006982: Druckdialog im Viewer skaliert nicht
    pdfprinter: Big refactor that uses printdlgex. This makes it look
    much better (at least on Windows 11).
  * Build with Debian bookworm
  * Add compile flag -Wno-error=stringop-overread

 -- Amon Ott <ao@m-privacy.de>  Wed, 10 Sep 2025 10:29:00 +0200
