=== debian/control ===
Source: tightgatevnc-clientonly
Section: x11
Priority: optional
Maintainer: m-privacy GmbH (<info@m-privacy.de>)
Build-Depends: debhelper (>= 4.0.0), perl, gcc, g++, sed,
 libgettextpo-dev, cmake, libxft-dev, libcap-dev, libaudit-dev,
 libxinerama-dev, libpng-dev, libfltk1.3-dev,
 libturbojpeg0-dev, libjpeg62-turbo-dev, zlib1g-dev, automake1.9 | automake1.11, autoconf,
 xserver-xorg-dev, xutils, pkg-config,
 x11proto-core-dev (>= 7.0.26),
 x11proto-kb-dev (>= 1.0.1-1), x11proto-xinerama-dev,
 x11proto-randr-dev (>= 1.4.0), x11proto-record-dev, x11proto-render-dev,
 x11proto-scrnsaver-dev, x11proto-video-dev,
 x11proto-xext-dev (>= 7.2.99.901),
 x11proto-xf86dga-dev,
 x11proto-xf86vidmode-dev, xtrans-dev (>= 1.3.3), libxau-dev (>= 1:0.1.2-1),
 libxdmcp-dev (>= 1:0.1.3-2), libxfont-dev (>= 2), libfontenc-dev,
 libxkbfile-dev (>= 7.0.0-1), x11proto-xf86dri-dev, libdrm-dev (>> 2.0),
 x11proto-gl-dev (>= 1.4.1-1), libgl1-mesa-dev (>= 7.8.0), libxmuu-dev (>= 1:1.0.2-2),
 libxext-dev (>= 1:1.0.1-2), libx11-dev (>= 1:6.2.1+cvs.20050722-1),
 libxrender-dev (>= 1:0.9.0-1), libxi-dev (>= 1:1.0.1-4),
 dpatch, libdmx-dev, libxpm-dev (>= 1:3.5.3-1), libxaw7-dev (>= 1:1.0.2-4),
 libxt-dev (>> 1:0.99.3+cvs.20051212), libxmu-dev (>= 1:1.0.2-2),
 libxtst-dev (>= 1:1.0.1-5), libxres-dev (>= 1:1.0.2+0.99.1-1),
 libfreetype6-dev, flex, dpatch, gnutls28-nop11-dev | libgnutls28-dev, nasm, libtool,
 x11proto-gl-dev, libpciaccess-dev, libexpat1-dev, cvs,
 libpam0g-dev, autopoint, xutils-dev, x11proto-fonts-dev (>= 2.1.3),
 x11proto-input-dev (>= 2.3), x11proto-dri2-dev, libxxf86vm-dev, libxfixes-dev,
 libsm-dev, libice-dev, libpixman-1-dev, libxdamage-dev, libglu1-mesa-dev,
 libosmesa6-dev, mesa-common-dev, libpthread-stubs0-dev,
 xfonts-utils (>= 7.5), libgcrypt-dev, libgsasl7-dev (>= 1.8.0),
 libgsasl7-dev (<< 1.8.0-3),
 libmprivacy (>= 1.0.55+aatgv1), libtasn1-6-dev, nettle-dev,
 libkrb5support0-static | libkrb5-dev, libkrb5-static-3 | libkrb5-dev, libgssapi-krb5-static-2 | libkrb5-dev,
 libkeyutils-dev, librsvg2-bin, libxcursor-dev, libbz2-dev,
 libc6-dev, libssh-dev, libnacl-dev, libcurl4-gnutls-dev,
 x11proto-present-dev, libb64-dev, fluid, libjemalloc-dev, libmagic-dev, rename,
 libglib2.0-dev, libmount-dev, libunistring-dev, libidn2-dev,
 libopenh264-dev (>= 2.3.1-2), libzstd-dev, libwebp-dev, libbrotli-dev,
 nlohmann-json3-dev, libunwind-dev,
 comerr-dev, libjxl-dev,
 libarchive-dev, gettext-base, librsbac-dev
Build-Conflicts: libc6 (>= 2.37)
Standards-Version: 3.6.1

Package: tightgateviewer
Section: net
Architecture: any
Provides: vnc-viewer
Replaces: xvnc4viewer, tigervncviewer
Depends: libc6 (>> 2.31), ${shlibs:Depends}
Conflicts: tightgateviewer-internal
Recommends: gstreamer1.0-tools, daemon, v4l-utils, ffmpeg
Suggests: tightgatevnc-common
Description: TightGate-Pro VNC client
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a vncclient
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncserver available for X
 and for Win95/NT.
