=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

#DEB_HOST_MULTIARCH =

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#export http_proxy=http://192.168.8.254:3130
export no_proxy="localhost"
export ftp_proxy=http://192.168.8.254:3138

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_HOST_GNU_TYPE   = i686-linux-gnu
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# original
#export CFLAGS = -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export SERVERCFLAGS = -Wall -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export CXXFLAGS = -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -std=gnu++0x -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export LDFLAGS = -Wl,--as-needed -Wl,--allow-multiple-definition -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=stringop-overread

# GCC 8 / Buster
#export CFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -fno-lto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export SERVERCFLAGS = -lzstd -Wall -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -fno-lto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export CXXFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -std=gnu++0x -march=x86-64-v2 -mtune=generic -fno-lto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export LDFLAGS = -lzstd -Wl,--as-needed -Wl,--allow-multiple-definition -march=x86-64-v2 -mtune=generic -fno-lto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr
# Buster with lto
#export CFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export SERVERCFLAGS = -lzstd -Wall -g -O3 -Wl,-z,lazy -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export CXXFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -std=gnu++0x -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr
#export LDFLAGS = -lzstd -lunistring -Wl,--as-needed -Wl,--allow-multiple-definition -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr
# Bookworm really with lto
export CFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
export SERVERCFLAGS = -lzstd -Wall -g -O3 -Wl,-z,lazy -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
export CXXFLAGS = -lzstd -Wall -Werror -g -O3 -Wl,-z,lazy -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -std=gnu++0x -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
export LDFLAGS = -lzstd -lunistring -Wl,--as-needed -Wl,--allow-multiple-definition -march=x86-64-v2 -mtune=generic -flto -ffat-lto-objects -fPIE -D_GLIBCXX_ASSERTIONS -fstack-clash-protection -Wno-stringop-overflow -Wno-error=stringop-truncation -Wno-error=odr -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects

#export CFLAGS = -nolibc -static-pie -lc -lgcc -lunwind -llzma -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export SERVERCFLAGS = -nolibc -static-pie -lc -lgcc -lunwind -llzma -Wall -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export CXXFLAGS = -nolibc -static-pie -lc -lgcc -lunwind -llzma -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -std=gnu++0x -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
#export LDFLAGS = -nolibc -static-pie -lc -lgcc -lunwind -llzma -Wl,--as-needed -Wl,--allow-multiple-definition -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=stringop-overread
#export CFLAGS = -nodefaultlibs -static-pie -lc -lm -lgcc -lgcc_eh -lunwind -llzma -ldl -Wall -Werror -g -O3 -Wl,-z,lazy -Wno-deprecated -Wno-deprecated-declarations -fstack-protector-all -mtune=corei7 -flto=8 -ffat-lto-objects -fPIE -Wno-stringop-overflow -Wno-alloc-size-larger-than -Wno-error=stringop-truncation -Wno-error=odr -Wno-error=return-local-addr -Wno-error=stringop-overread
